Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# THandle< TAG > Class Template Reference

`#include <THandle.h>`

List of all members.

## Public Member Functions
| THandle (void)
| ~THandle (void)
void | Init (unsigned int index)
unsigned int | GetIndex (void) const
unsigned int | GetMagic (void) const
unsigned long | GetHandle (void) const
TAG * | GetData (void) const
bool | IsNull (void) const
| operator unsigned int (void) const
THandle< TAG > & | operator= (const THandle< TAG > &r)
THandle< TAG > & | operator= (const DWORD &r)
## Private Types
typedef THandleMgr< TAG, THandle< TAG > > | ThisMgrType
typedef THandle< TAG > | ThisType
## Friends
bool | operator!= (const THandle< TAG > &l, const THandle< TAG > &r)
bool | operator== (const THandle< TAG > &l, const THandle< TAG > &r)
bool | operator!= (const DWORD &l, const THandle< TAG > &r)
bool | operator== (const DWORD &l, const THandle< TAG > &r)
bool | operator!= (const THandle< TAG > &l, const DWORD &r)
bool | operator== (const THandle< TAG > &l, const DWORD &r)

### template<typename TAG>
class THandle< TAG >

## Member Typedef Documentation

template<typename TAG>
typedef THandleMgr< TAG, THandle<TAG> > THandle< TAG >::ThisMgrType`[private]`

template<typename TAG>
typedef THandle<TAG> THandle< TAG >::ThisType`[private]`

## Constructor & Destructor Documentation

template<typename TAG>
THandle< TAG >::THandle | ( | void |  | ) | `[inline]`

template<typename TAG>
THandle< TAG >::~THandle | ( | void |  | ) | `[inline]`

## Member Function Documentation

template<typename TAG>
TAG* THandle< TAG >::GetData | ( | void |  | ) | const`[inline]`

template<typename TAG>
unsigned long THandle< TAG >::GetHandle | ( | void |  | ) | const`[inline]`

template<typename TAG>
unsigned int THandle< TAG >::GetIndex | ( | void |  | ) | const`[inline]`

template<typename TAG>
unsigned int THandle< TAG >::GetMagic | ( | void |  | ) | const`[inline]`

template<typename TAG>
void THandle< TAG >::Init | ( | unsigned int | index | ) | `[inline]`

template<typename TAG>
bool THandle< TAG >::IsNull | ( | void |  | ) | const`[inline]`

template<typename TAG>
THandle< TAG >::operator unsigned int | ( | void |  | ) | const`[inline]`

template<typename TAG>
THandle<TAG>& THandle< TAG >::operator= | ( | const DWORD & | r | ) | `[inline]`

template<typename TAG>
THandle<TAG>& THandle< TAG >::operator= | ( | const THandle< TAG > & | r | ) | `[inline]`

## Friends And Related Function Documentation

template<typename TAG>
bool operator!= | ( | const THandle< TAG > & | l,
|  | const DWORD & | r
| ) | `[friend]`

template<typename TAG>
bool operator!= | ( | const DWORD & | l,
|  | const THandle< TAG > & | r
| ) | `[friend]`

template<typename TAG>
bool operator!= | ( | const THandle< TAG > & | l,
|  | const THandle< TAG > & | r
| ) | `[friend]`

template<typename TAG>
bool operator== | ( | const THandle< TAG > & | l,
|  | const DWORD & | r
| ) | `[friend]`

template<typename TAG>
bool operator== | ( | const DWORD & | l,
|  | const THandle< TAG > & | r
| ) | `[friend]`

template<typename TAG>
bool operator== | ( | const THandle< TAG > & | l,
|  | const THandle< TAG > & | r
| ) | `[friend]`

## Member Data Documentation

template<typename TAG>
unsigned long THandle< TAG >::m_Handle`[private]`

template<typename TAG>
unsigned THandle< TAG >::m_Index`[private]`

template<typename TAG>
unsigned THandle< TAG >::m_Magic`[private]`

The documentation for this class was generated from the following file:

- THandle.h